[hipl-commit] [trunk] Rev 4134: Print usage information if the required command line parameter is missing.

  • From: Diego Biurrun <diego@xxxxxxxxxx>
  • To: hipl-commit@xxxxxxxxxxxxx
  • Date: Tue, 6 Apr 2010 15:12:38 +0300

Committer: Diego Biurrun <diego@xxxxxxxxxx>
Date: 06/04/2010 at 15:12:38
Revision: 4134
Revision-id: diego@xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Branch nick: trunk

Log:
  Print usage information if the required command line parameter is missing.

Modified:
  M  tools/hipl_autobuild.sh

=== modified file 'tools/hipl_autobuild.sh'
--- tools/hipl_autobuild.sh     2010-03-30 18:05:50 +0000
+++ tools/hipl_autobuild.sh     2010-04-06 12:11:39 +0000
@@ -11,6 +11,11 @@
 # If the HIPL_NOTIFICATION_EMAIL environment variable is set to a suitable 
value
 # for the user running this script, then email will be sent in case of failure.
 
+if test "$1" = ""; then
+    echo "usage: $0 <branch_name>"
+    exit 1
+fi
+
 BRANCH_NAME=$1
 
 AUTOBUILD_DIR=$HOME/tmp/autobuild

Other related posts:

  • » [hipl-commit] [trunk] Rev 4134: Print usage information if the required command line parameter is missing. - Diego Biurrun